
import csv
import os
import random
import re
import string
import time
import urllib.request

def generate_random_password(length=12):
    if length < 4:
        raise ValueError("Password length must be at least 4 characters.")
    characters = string.ascii_letters + string.digits + "!@#$%^&*"
    password = ''.join(random.choice(characters) for i in range(length))
    return password



